diff -ruN cors-filter-cors-filter-1.0.1.orig/pom.xml cors-filter-cors-filter-1.0.1/pom.xml
--- cors-filter-cors-filter-1.0.1.orig/pom.xml	2013-07-31 18:23:35.000000000 +0200
+++ cors-filter-cors-filter-1.0.1/pom.xml	2015-04-09 15:11:54.619459158 +0200
@@ -45,8 +45,8 @@
 	<dependencies>
 		<dependency>
 			<groupId>javax.servlet</groupId>
-			<artifactId>servlet-api</artifactId>
-			<version>2.5</version>
+			<artifactId>javax.servlet-api</artifactId>
+			<version>3.1.0</version>
             <scope>provided</scope>
 		</dependency>
 		<dependency>
diff -ruN cors-filter-cors-filter-1.0.1.orig/src/test/java/org/ebaysf/web/cors/MockHttpServletRequest.java cors-filter-cors-filter-1.0.1/src/test/java/org/ebaysf/web/cors/MockHttpServletRequest.java
--- cors-filter-cors-filter-1.0.1.orig/src/test/java/org/ebaysf/web/cors/MockHttpServletRequest.java	2013-07-31 18:23:35.000000000 +0200
+++ cors-filter-cors-filter-1.0.1/src/test/java/org/ebaysf/web/cors/MockHttpServletRequest.java	2015-04-09 15:12:16.072461487 +0200
@@ -20,6 +20,7 @@
 import java.io.UnsupportedEncodingException;
 import java.security.Principal;
 import java.util.ArrayList;
+import java.util.Collection;
 import java.util.Collections;
 import java.util.Enumeration;
 import java.util.HashMap;
@@ -28,11 +29,19 @@
 import java.util.Locale;
 import java.util.Map;
 
+import javax.servlet.AsyncContext;
+import javax.servlet.DispatcherType;
 import javax.servlet.RequestDispatcher;
+import javax.servlet.ServletContext;
+import javax.servlet.ServletException;
 import javax.servlet.ServletInputStream;
+import javax.servlet.ServletRequest;
+import javax.servlet.ServletResponse;
 import javax.servlet.http.Cookie;
 import javax.servlet.http.HttpServletRequest;
+import javax.servlet.http.HttpServletResponse;
 import javax.servlet.http.HttpSession;
+import javax.servlet.http.Part;
 
 import org.ebaysf.web.cors.CORSFilter;
 
@@ -324,4 +333,60 @@
         throw new RuntimeException("Not implemented");
     }
 
+    public Part getPart(String name) throws IOException, IllegalStateException, ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public Collection<Part> getParts() throws IOException, IllegalStateException, ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void logout() throws ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void login(String username, String password) throws ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public boolean authenticate(HttpServletResponse response) throws IOException, ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public String changeSessionId() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public DispatcherType getDispatcherType() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public AsyncContext getAsyncContext() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public boolean isAsyncSupported() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public boolean isAsyncStarted() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public AsyncContext startAsync(ServletRequest servletRequest, ServletResponse servletResponse) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public AsyncContext startAsync() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public ServletContext getServletContext() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public long getContentLengthLong() {
+        throw new RuntimeException("Not implemented");
+    }
+
 }
diff -ruN cors-filter-cors-filter-1.0.1.orig/src/test/java/org/ebaysf/web/cors/MockHttpServletResponse.java cors-filter-cors-filter-1.0.1/src/test/java/org/ebaysf/web/cors/MockHttpServletResponse.java
--- cors-filter-cors-filter-1.0.1.orig/src/test/java/org/ebaysf/web/cors/MockHttpServletResponse.java	2013-07-31 18:23:35.000000000 +0200
+++ cors-filter-cors-filter-1.0.1/src/test/java/org/ebaysf/web/cors/MockHttpServletResponse.java	2015-04-09 15:11:54.620459158 +0200
@@ -19,6 +19,7 @@
 import java.io.PrintWriter;
 import java.io.StringWriter;
 import java.util.ArrayList;
+import java.util.Collection;
 import java.util.List;
 import java.util.Locale;
 
@@ -189,4 +190,16 @@
 
     }
 
+    public Collection<String> getHeaderNames() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public Collection<String> getHeaders(String name) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void setContentLengthLong(long arg0) {
+        throw new RuntimeException("Not implemented");
+    }
+
 }
diff -ruN cors-filter-cors-filter-1.0.1.orig/src/test/java/org/ebaysf/web/cors/MockServletContext.java cors-filter-cors-filter-1.0.1/src/test/java/org/ebaysf/web/cors/MockServletContext.java
--- cors-filter-cors-filter-1.0.1.orig/src/test/java/org/ebaysf/web/cors/MockServletContext.java	2013-07-31 18:23:35.000000000 +0200
+++ cors-filter-cors-filter-1.0.1/src/test/java/org/ebaysf/web/cors/MockServletContext.java	2015-04-09 15:11:54.620459158 +0200
@@ -19,12 +19,20 @@
 import java.net.MalformedURLException;
 import java.net.URL;
 import java.util.Enumeration;
+import java.util.EventListener;
+import java.util.Map;
 import java.util.Set;
 
+import javax.servlet.Filter;
+import javax.servlet.FilterRegistration;
 import javax.servlet.RequestDispatcher;
 import javax.servlet.Servlet;
 import javax.servlet.ServletContext;
 import javax.servlet.ServletException;
+import javax.servlet.SessionCookieConfig;
+import javax.servlet.ServletRegistration;
+import javax.servlet.SessionTrackingMode;
+import javax.servlet.descriptor.JspConfigDescriptor;
 
 public class MockServletContext implements ServletContext {
 
@@ -140,4 +148,112 @@
         throw new RuntimeException("Not implemented");
     }
 
+    public String getVirtualServerName() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void declareRoles(String... roleNames) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public ClassLoader getClassLoader() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public JspConfigDescriptor getJspConfigDescriptor() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public <T extends EventListener> T createListener(Class<T> c) throws ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void addListener(Class<? extends EventListener> listenerClass) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public <T extends EventListener> void addListener(T t) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void addListener(String className) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public Set<SessionTrackingMode> getEffectiveSessionTrackingModes() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public Set<SessionTrackingMode> getDefaultSessionTrackingModes() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public void setSessionTrackingModes(Set<SessionTrackingMode> sessionTrackingModes) throws IllegalStateException, IllegalArgumentException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public SessionCookieConfig getSessionCookieConfig() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public Map<String,? extends FilterRegistration> getFilterRegistrations() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public FilterRegistration getFilterRegistration(String filterName) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public <T extends Filter> T createFilter(Class<T> c) throws ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public FilterRegistration.Dynamic addFilter(String filterName, Class<? extends Filter> filterClass) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public FilterRegistration.Dynamic addFilter(String filterName, Filter filter) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public FilterRegistration.Dynamic addFilter(String filterName, String className) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public Map<String,? extends ServletRegistration> getServletRegistrations() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public ServletRegistration getServletRegistration(String servletName) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public <T extends Servlet> T createServlet(Class<T> c) throws ServletException {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public ServletRegistration.Dynamic addServlet(String servletName, Servlet servlet) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public ServletRegistration.Dynamic addServlet(String servletName, Class<? extends Servlet> servletClass) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public ServletRegistration.Dynamic addServlet(String servletName, String className) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public boolean setInitParameter(String name, String value) {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public int getEffectiveMinorVersion() {
+        throw new RuntimeException("Not implemented");
+    }
+
+    public int getEffectiveMajorVersion() {
+        throw new RuntimeException("Not implemented");
+    }
+
 }
